<?xml version="1.0" encoding="utf-8"?>
<layout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools">

    <data>

        <variable
            name="item"
            type="com.vessel.app.goal.model.GoalHeader" />
        <variable
            name="handler"
            type="com.vessel.app.goal.ui.GoalHeaderAdapter.OnActionHandler" />
    </data>
    <androidx.constraintlayout.widget.ConstraintLayout
        android:layout_width="match_parent"
        android:layout_height="match_parent"
        android:clipChildren="false">

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:scaleType="centerCrop"
            android:adjustViewBounds="true"
            android:src="@{item.background}"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintTop_toTopOf="parent"
            tools:src="@drawable/goals_immunity"
            tools:ignore="ContentDescription" />

        <include
            android:id="@+id/toolbar"
            layout="@layout/toolbar_logo" />

        <androidx.appcompat.widget.AppCompatTextView
            android:id="@+id/title"
            style="@style/Title.2XL"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginTop="@dimen/spacing_2xl"
            android:layout_marginHorizontal="@dimen/spacing_2xl"
            android:text="@{item.title}"
            app:layout_constraintTop_toBottomOf="@id/toolbar"
            app:layout_constraintStart_toStartOf="parent"
            tools:text="Mind" />

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_marginBottom="@dimen/spacing_small"
            android:layout_marginStart="@dimen/spacing_2xs"
            android:src="@drawable/ic_info"
            android:onClick="@{() -> handler.onInfoButtonClick()}"
            app:layout_constraintBottom_toBottomOf="@id/title"
            app:layout_constraintStart_toEndOf="@id/title" />

        <com.vessel.app.views.HeaderChartView
            android:id="@+id/chart"
            android:layout_width="0dp"
            android:layout_height="0dp"
            android:layout_marginTop="120dp"
            android:layout_marginBottom="@dimen/spacing_4xl"
            app:entries="@{item.chartEntries}"
            app:averageEntries="@{item.chartEntries}"
            app:layout_constraintTop_toBottomOf="@id/title"
            app:layout_constraintBottom_toTopOf="@id/cutout"
            app:layout_constraintStart_toStartOf="parent"
            app:layout_constraintEnd_toEndOf="parent" />

        <com.vessel.app.views.CutOutView
            android:id="@+id/cutout"
            android:layout_width="0dp"
            android:layout_height="@dimen/cutout_view_height"
            android:visibility="gone"
            app:layout_constraintBottom_toBottomOf="parent"
            app:layout_constraintEnd_toEndOf="parent"
            app:layout_constraintStart_toStartOf="parent" />

        <androidx.appcompat.widget.AppCompatImageView
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:src="@drawable/ic_up_arrows"
            android:visibility="gone"
            app:layout_constraintEnd_toEndOf="@id/cutout"
            app:layout_constraintStart_toStartOf="@id/cutout"
            app:layout_constraintBottom_toTopOf="@id/cutout"
            app:layout_constraintTop_toTopOf="@id/cutout" />
    </androidx.constraintlayout.widget.ConstraintLayout>
</layout>
